## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate lino

Name:           rust-lino
Version:        0.10.0
Release:        %autorelease
Summary:        Command line text editor with notepad like key bindings

License:        MIT
URL:            https://crates.io/crates/lino
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump copypasta dependency from 0.7 to 0.10
# * bump crossterm dependency from 0.22 to 0.28
Patch:          lino-fix-metadata.diff
Patch:          0001-port-from-crossterm-0.23-to-0.28.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A command line text editor with notepad like key bindings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
License:        %{shrink:
    MIT AND
    ISC AND
    Unicode-DFS-2016 AND
    (0BSD OR MIT OR Apache-2.0) AND
    (Apache-2.0 OR BSL-1.0) AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (MIT OR Apache-2.0 OR Zlib) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%doc TODO.md
%{_bindir}/lino

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Feb 01 2025 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-12
- Bump crossterm dependency from 0.22 to 0.28

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-9
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-7
- Update copypasta to 0.10.0

* Tue Dec 19 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-6
- Regenerate with rust2rpm v25

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 05 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-4
- Update rust-copypasta to 0.8

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 31 2022 Davide Cavalca <dcavalca@fb.com> - 0.10.0-1
- Initial import; Fixes: RHBZ#1990713
## END: Generated by rpmautospec
